Project cryptocurrencies

Assets allowed for the current project.

GET/project/currencies

System information

API key
Required
Rate limit
∞

Use this list when creating invoices and static wallets — otherwise you may get INVOICE_COIN_UNAVAILABLE or PROJECT_STATIC_WALLET_ASSET_UNAVAILABLE.

curl "https://api.atomic.wallet/api/v1/project/currencies" \
  -H "x-api-key: $API_KEY"
{
  "currencies": [
    {
      "coinCode": "USDT",
      "coinName": "Tether USD",
      "networks": [
        {
          "networkCode": "ethereum",
          "networkName": "Ethereum",
          "networkPrefix": "ERC-20",
          "decimals": 6
        }
      ]
    }
  ]
}

Response fields

ParameterTypeDescription
currenciesarrayList of cryptocurrencies.
currencies[].coinCodestringCryptocurrency code.
currencies[].coinNamestringCryptocurrency name.
currencies[].networksarrayNetworks where the coin is available.
currencies[].networks[].networkCodestringBlockchain network code.
currencies[].networks[].networkNamestringNetwork name.
currencies[].networks[].networkPrefixstringToken standard in the network, for example TRC-20.
currencies[].networks[].decimalsintegerNumber of decimal places for amounts.